/**
 * The WeaponPistol class implements the Weapon interface.
 * It holds the information of how much damage the weapon can
 * deal out. getWeaponDamage() return the damage the weapon deals
 * out, as promised by Weapon interface.
 * 
 * @author Japskua
 * @see Weapon
 *
 */

package com.gangstar;


public class WeaponPistol implements Weapon {

	private int weaponDamage;
	private String weaponName;
	
	/**
	 * The basic creator, that sets the weapon's damage
	 */
	public WeaponPistol() {
		weaponDamage = 10;
		weaponName = "Pistol";
	}

	public int getWeaponDamage() {
		return weaponDamage;
	}
	
	public String getWeaponName() {
		return weaponName;
	}

}
